# Package org.firebirdsql.gds.ng.wire.crypt

Interface Summary
EncryptionPlugin: Plugin for Firebird wire encryption.
EncryptionPluginSpi: Service provider interface for wire encryption plugins.

Class Summary
EncryptionIdentifier: Identifier of an encryption type + plugin.
EncryptionInitInfo: The initial initialization information of an encryption plugin.
KnownServerKey: Class to hold server keys known to the client.

Enum Summary
EncryptionInitInfo.InitResult

Exception Summary
FBSQLEncryptException: Exception that indicates encryption could not be initialized.